SketchUp C API

- Main Page
- Related Pages
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Related Functions
SUClassificationInfoRef Struct Reference

References an object with classification information. Each SUClassificationInfoRef contains the names of the schemas and the schema types, and the types attributes. See SUClassificationAttributeRef for details on the type attributes. More...

`#include <SketchUpAPI/model/classification_info.h>`

## Related Functions
(Note that these are not member functions.)
enum SUResult | SUClassificationInfoRelease (SUClassificationInfoRef *classification_info)
| Releases the classification info. Classification info objects are created from component instance using SUComponentInstanceCreateClassificationInfo(), and must be released using this function. This function also invalidates the given SUClassificationInfoRef. More...
enum SUResult | SUClassificationInfoGetNumSchemas (SUClassificationInfoRef classification_info, size_t *count)
| Retrieves the number of schemas that have been applied to the component instance. More...
enum SUResult | SUClassificationInfoGetSchemaName (SUClassificationInfoRef classification_info, size_t index, SUStringRef *schema_name)
| Retrieves the schema name for the classification at the given index. More...
enum SUResult | SUClassificationInfoGetSchemaType (SUClassificationInfoRef classification_info, size_t index, SUStringRef *schema_type)
| Retrieves the schema type for the classification at the given index. More...
enum SUResult | SUClassificationInfoGetSchemaAttribute (SUClassificationInfoRef classification_info, size_t index, SUClassificationAttributeRef *attribute)
| Retrieves the classification attribute for the classification at the given index. More...
enum SUResult | SUClassificationInfoGetSchemaAttributeByPath (SUClassificationInfoRef classification_info, SUStringRef path, SUClassificationAttributeRef *attribute)
| Retrieves the classification attribute with the given path. More...

## Detailed Description

References an object with classification information. Each SUClassificationInfoRef contains the names of the schemas and the schema types, and the types attributes. See SUClassificationAttributeRef for details on the type attributes.

## Friends And Related Function Documentation

enum SUResult SUClassificationInfoGetNumSchemas | ( | SUClassificationInfoRef | classification_info,
|  | size_t * | count
| ) |  |
| related

Retrieves the number of schemas that have been applied to the component instance.

Since
  SketchUp 2017, API 5.0

Parameters

  [in] | classification_info | The classification info object.
  [out] | count | The number of classifications.

Returns
  - SU_ERROR_NONE on success
  - SU_ERROR_INVALID_INPUT if classification_info is not a valid object
  - SU_ERROR_NULL_POINTER_OUTPUT if count is NULL

enum SUResult SUClassificationInfoGetSchemaAttribute | ( | SUClassificationInfoRef | classification_info,
|  | size_t | index,
|  | SUClassificationAttributeRef * | attribute
| ) |  |
| related

Retrieves the classification attribute for the classification at the given index.

Parameters

  [in] | classification_info | The classification info object.
  [in] | index | The classification index.
  [out] | attribute | The attribute retrieved.

Returns
  - SU_ERROR_NONE on success
  - SU_ERROR_INVALID_INPUT if classification_info is an invalid object
  - SU_ERROR_OUT_OF_RANGE if index is larger than the number of schemas
  - SU_ERROR_NULL_POINTER_OUTPUT if attribute is NULL

enum SUResult SUClassificationInfoGetSchemaAttributeByPath | ( | SUClassificationInfoRef | classification_info,
|  | SUStringRef | path,
|  | SUClassificationAttributeRef * | attribute
| ) |  |
| related

Retrieves the classification attribute with the given path.

Parameters

  [in] | classification_info | The classification info object.
  [in] | path | The path of the classification attribute to get.
  [out] | attribute | The attribute retrieved.

Returns
  - SU_ERROR_NONE on success
  - SU_ERROR_INVALID_INPUT if classification_info is an invalid object
  - SU_ERROR_NULL_POINTER_OUTPUT if attribute is NULL

enum SUResult SUClassificationInfoGetSchemaName | ( | SUClassificationInfoRef | classification_info,
|  | size_t | index,
|  | SUStringRef * | schema_name
| ) |  |
| related

Retrieves the schema name for the classification at the given index.

Parameters

  [in] | classification_info | The classification info object.
  [in] | index | The classification index.
  [out] | schema_name | The name of the schema.

Returns
  - SU_ERROR_NONE on success
  - SU_ERROR_INVALID_INPUT if classification_info is an invalid object
  - SU_ERROR_OUT_OF_RANGE if index is larger than the number of schemas
  - SU_ERROR_NULL_POINTER_OUTPUT if schema_name is NULL
  - SU_ERROR_INVALID_OUTPUT if *schema_name is not a valid object

enum SUResult SUClassificationInfoGetSchemaType | ( | SUClassificationInfoRef | classification_info,
|  | size_t | index,
|  | SUStringRef * | schema_type
| ) |  |
| related

Retrieves the schema type for the classification at the given index.

Parameters

  [in] | classification_info | The classification info object.
  [in] | index | The classification index.
  [out] | schema_type | The applied type from the schema.

Returns
  - SU_ERROR_NONE on success
  - SU_ERROR_INVALID_INPUT if classification_info is an invalid object
  - SU_ERROR_OUT_OF_RANGE if index is larger than the number of schemas
  - SU_ERROR_NULL_POINTER_OUTPUT if schema_type is NULL
  - SU_ERROR_INVALID_OUTPUT if *schema_type is not a valid object

enum SUResult SUClassificationInfoRelease | ( | SUClassificationInfoRef * | classification_info | ) |
| related

Releases the classification info. Classification info objects are created from component instance using SUComponentInstanceCreateClassificationInfo(), and must be released using this function. This function also invalidates the given SUClassificationInfoRef.

Since
  SketchUp 2017, API 5.0

Parameters

  [in,out] | classification_info | The classification info object.

Returns
  - SU_ERROR_NONE on success
  - SU_ERROR_NULL_POINTER_INPUT if classification_info is NULL
  - SU_ERROR_INVALID_INPUT if classification_info is not a valid object

The documentation for this struct was generated from the following files:

- SketchUpAPI/model/defs.h
- SketchUpAPI/model/classification_info.h